#
# spec file for package Mule-UCS (Version 0.84.20040212)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib ctags cvs cyrus-sasl db diffutils e2fsprogs emacs emacs-info emacs-nox file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           Mule-UCS
BuildRequires:  emacs-nox
Summary:        Unicode Extensions for Multilingually Enhanced Emacs
Version:        0.84.20040212
Release:        71.2
Group:          Productivity/Editors/Emacs
Requires:       emacs
#Provides:     emacs-unicode
Provides:       mule-ucs
Obsoletes:      mule-ucs
Conflicts:      emacs-oc-unicode	
License:        GPL
URL:            http://www.m17n.org/
# Mule-UCS Unofficial Site http://tats.iris.ne.jp/mule-ucs/
#
# ftp://ftp.m17n.org/pub/mule/Mule-UCS/Mule-UCS-%{version}.tar.bz2
#
# Anonymous CVS is working again. You can get the release candidate of Mule-UCS 0.85. (announced by himi in [mule-ja:08457])
# 
# $ cvs -d :pserver:anonymous@cvs.meadowy.org:/cvsroot login
# (hit Enter for the password)
# $ cvs -d :pserver:anonymous@cvs.meadowy.org:/cvsroot co mule-ucs
Source:         mule-ucs-0.84.20040212.tar.bz2
Source1:        suse-start.el
%define emacs_sitelisp_dir %{_datadir}/emacs/site-lisp
%define emacs_package_dir %{emacs_sitelisp_dir}/%{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
This package offers Unicode encoding for Emacs. Unlike the alternative
package emacs-oc-unicode, this one uses legacy Mule fonts to display
Unicode text. Therefore it is very well tested and usable.



Authors:
--------
    MIYASHITA Hisashi <himi@bird.scphys.kyoto-u.ac.jp>

%debug_package
%prep
%setup -q -n mule-ucs
find . -name CVS -type d | xargs rm -rf

%build
emacs --no-init --no-site -batch -l mucs-comp.el

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d m755 $RPM_BUILD_ROOT%{emacs_package_dir}
fi
install -m644 lisp/*.el{,c} $RPM_BUILD_ROOT%{emacs_package_dir}
{
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{emacs_package_dir}\")"
  echo ""
  cat $RPM_SOURCE_DIR/suse-start.el
  echo ""
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el ends here"
} > %{buildroot}%{emacs_sitelisp_dir}/suse-start-%{name}.el

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%doc lisp/README* lisp/MuleUni.txt lisp/type.txt
%doc doc
%{emacs_package_dir}
%config %{emacs_sitelisp_dir}/suse-start-%{name}.el

%changelog -n Mule-UCS
* Fri Mar 10 2006 - mfabian@suse.de
- Bugzilla #155717: change charset order to prefer Chinese fonts
  over Japanese fonts if the locale indicates that Chinese is
  preferred.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 12 2004 - mfabian@suse.de
- update to 0.84.20040212 (current CVS).
- remove Mule-UCS-progn.patch and Mule-UCS-un-define.patch
  (included upstream).
* Thu Feb 05 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Dec 06 2002 - schwab@suse.de
- Remove broken progn.
* Tue Sep 17 2002 - mfabian@suse.de
- improve suse-start.el to omit creating fontsets for fonts
  which are not available to the X-server (maybe because
  they are not installed)
* Fri May 17 2002 - mfabian@suse.de
- create some additional fontsets using mainly Unicode fonts
  in suse-start.el.
* Sun May 05 2002 - schwab@suse.de
- Remove xemacs from neededforbuild.
* Thu May 02 2002 - mfabian@suse.de
- remove Mule-UCS-xemacs subpackage because the sumo tarballs
  of XEmacs already contain Mule-UCS now.
* Sat Apr 13 2002 - schwab@suse.de
- Rename to Mule-UCS.
- Make mule-ucs-xemacs a subpackage.
- Fix slow startup with Emacs 21.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Nov 09 2001 - schwab@suse.de
- Add libjpeg libpng libtiff libungif to neededforbuild.
* Tue Oct 02 2001 - schwab@suse.de
- Update to Mule-UCS 0.84.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 16 2001 - phm@suse.de
- created new package mule-ucs-0.83 as an alternative to
  emacs-oc-unicode
